<?php
namespace app\user\behavior;

use think\Controller;

class Hook extends Controller
{
    // 表单生成
    public function formBuild(&$params)
    {
        //表单字段
        if( in_array($params['name'],['admin_user_create','admin_user_edit']) ){
            $params['items'] = DcArrayPush($params['items'],[
                'user_token' => [
                    'type'        => 'text',
                    'name'        => 'user_token',
                    'id'          => 'user_token',
                    'title'       => lang('user_token'),
                    'placeholder' => lang('user_token_placeholder'),
                    'tips'        => '',
                    'value'       => $params['data']['user_token'],
                    'readonly'    => false,
                    'disabled'    => false,
                    'required'    => false,
                    'class'       => 'row form-group',
                    'class_tips'  => '',
                    'class_left'  => 'col-12',
                    'class_right' => 'col-12',
                ],
            ],'user_capabilities');
        }
    }
    
    //表格数据
    public function tableBuild(&$params)
    {
        if($params['data-name'] == 'admin_user_index'){
            $params['columns'] = array_values($params['columns']);//转为数字索引
            $params['columns'] = DcArrayPush($params['columns'], [
                [
                    'data-field'  => 'user_views',
                    'data-title'  => lang('user_views'),
                    'data-align'  => 'center',
                    'data-halign' => 'center',
                ],
                [
                    'data-field'  => 'user_score',
                    'data-title'  => lang('user_score'),
                    'data-align'  => 'center',
                    'data-halign' => 'center',
                ],
                [
                    'data-field'  => 'user_pid',
                    'data-title'  => lang('user_pid'),
                    'data-align'  => 'center',
                    'data-halign' => 'center',
                ],
            ], 7);
        }
    }
    
    // 用户注册前
    public function userRegisterBefore(&$post){
        $post['user_pid']          = userPidGet();
        $post['user_score']        = intval(config('user.register_score'));
        return $post;
    }
    
    // 用户注册后
    public function userRegisterAfter(&$user){
        
    }
    
    // 用户登录前
    public function userLoginBefore(&$post){
    }
    
    // 用户登录后
    public function userLoginAfter(&$data){
        
    }
}